Foxit PDF SDK

Static Public Member Functions | List of all members
FoxitPDFSDKPython3.Codec Class Reference
Inheritance diagram for FoxitPDFSDKPython3.Codec:

## Static Public Member Functions
def | Base64Decode (encoded_data_buffer, length)
| Decode the encoded data buffer by Base64 algorithm. More...
def | Base64Encode (data_buffer, length)
| Encode the source data buffer by Base64 algorithm. More...
def | FlateCompress (data_buffer, length)
| Compress the source data buffer by DEFLATE algorithm. More...
def | FlateDecompress (compressed_data_buffer, length)
| Decompress the compressed data buffer by DEFLATE algorithm. More...

## Detailed Description

This class provides utility functions such as encoding or compression. Foxit PDF SDK library should has been initialized successfully by function FoxitPDFSDKPython3.Library.Initialize before calling any function of this class.

## Member Function Documentation

## ◆ Base64Decode()

FoxitPDFSDKPython3.Codec.Base64Decode | ( |  | encoded_data_buffer,
|  |  | length
| ) |  |
| static

Decode the encoded data buffer by Base64 algorithm.

Parameters

  [in] | encoded_data_buffer | The encoded source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The decoded data.

## ◆ Base64Encode()

FoxitPDFSDKPython3.Codec.Base64Encode | ( |  | data_buffer,
|  |  | length
| ) |  |
| static

Encode the source data buffer by Base64 algorithm.

Parameters

  [in] | data_buffer | The raw source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The encoded data.

## ◆ FlateCompress()

FoxitPDFSDKPython3.Codec.FlateCompress | ( |  | data_buffer,
|  |  | length
| ) |  |
| static

Compress the source data buffer by DEFLATE algorithm.

Parameters

  [in] | data_buffer | The raw source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The compressed data.

## ◆ FlateDecompress()

FoxitPDFSDKPython3.Codec.FlateDecompress | ( |  | compressed_data_buffer,
|  |  | length
| ) |  |
| static

Decompress the compressed data buffer by DEFLATE algorithm.

Parameters

  [in] | compressed_data_buffer | The compressed source data buffer.
  [in] | length | The length of data buffer in byte.

Returns
  The decompressed data.